R4 2014, should i wait for the 2015??:HELP:

Discussion in 'R4 DS' started by Neoma, Jul 29, 2014.

  1. Neoma
    OP

    Neoma Newbie

    Newcomer
    2
    0
    Jul 29, 2014
    United States
    Tijuana, Baja California
    hey guys im new to the forum, and new to the whole r4 thing my question is, i'm about to buy an R4 2014, but is it worth it? do i have to buy one each year and toss the old one if i keep updating my 3ds? thanks in advanced!
     
  2. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,120
    647
    Oct 22, 2011
    Gambia, The
    The R4i 2013 is not blocked as far as I know. The 2014 has not needed an update yet.
    But the r4isdhc.com's menu is very shitty. You better go with a R4i Gold 3DS RTS by r4ids.cn or a supercard dstwo.
     
  3. fenor

    fenor Member

    Newcomer
    26
    0
    Jun 29, 2007
    Italy
    also remember that it run DS software not 3ds software
     
  4. BestR4i3DS.com

    BestR4i3DS.com GBAtemp Regular

    Member
    215
    36
    May 21, 2014
    United States
    "2014" just a method to sales promotions,
    the card is same as 2013, only the package and card sticker changed a little.

    Yes, run NDS roms on 3DS , can't run 3DS games.
     
  5. DoctorAmazing

    DoctorAmazing Member

    Newcomer
    27
    4
    Jun 19, 2014
    United States
    Like BestR4i3DS.com said, it's just a marketing gimmick to make you think it's new.
    R4i Gold 3DS (r4ids.cn) would come highly recommended from many people (including myself) if you're looking for a good priced DSi/3DS flashcart. It's still compatible with the newest firmware on both systems. A Supercard DSTWO is a top of the line flash cart if you're interested in snazzy features, but it runs at more than twice the price.
     
  6. Neoma
    OP

    Neoma Newbie

    Newcomer
    2
    0
    Jul 29, 2014
    United States
    Tijuana, Baja California
    Thanks guys :yaynds: , i will try the Supercard DSTWO, i thought i had to buy an r4 each year, i've been told that each year nintendo's update kills the current r4's year so i had to get for example 2015 because that's updated to work with the newest update :mellow: